From: =?utf-8?q?David_Pr=C3=A9vot?= <taffit@debian.org>
Date: Sat, 25 Dec 2021 18:38:56 -0400
Subject: Skip tests failing on 32-bit architectures

---
 tests/Composer/Test/InstallerTest.php | 8 ++++++++
 1 file changed, 8 insertions(+)

diff --git a/tests/Composer/Test/InstallerTest.php b/tests/Composer/Test/InstallerTest.php
index 64a11cd..e06ea5f 100644
--- a/tests/Composer/Test/InstallerTest.php
+++ b/tests/Composer/Test/InstallerTest.php
@@ -262,6 +262,10 @@ class InstallerTest extends TestCase
      */
     public function testIntegrationWithRawPool(string $file, string $message, ?string $condition, array $composerConfig, ?array $lock, ?array $installed, string $run, $expectLock, ?array $expectInstalled, ?string $expectOutput, ?string $expectOutputOptimized, string $expect, $expectResult): void
     {
+        if (PHP_INT_SIZE == 4) {
+            self::markTestSkipped('This test currently fails on 32-bit architectures.');
+        }
+
         Platform::putEnv('COMPOSER_POOL_OPTIMIZER', '0');
 
         $this->doTestIntegration($file, $message, $condition, $composerConfig, $lock, $installed, $run, $expectLock, $expectInstalled, $expectOutput, $expect, $expectResult);
@@ -277,6 +281,10 @@ class InstallerTest extends TestCase
      */
     private function doTestIntegration(string $file, string $message, ?string $condition, array $composerConfig, ?array $lock, ?array $installed, string $run, $expectLock, ?array $expectInstalled, ?string $expectOutput, string $expect, $expectResult): void
     {
+        if (PHP_INT_SIZE == 4) {
+            self::markTestSkipped('This test currently fails on 32-bit architectures.');
+        }
+
         if ($condition) {
             eval('$res = '.$condition.';');
             if (!$res) { // @phpstan-ignore variable.undefined
